          Return the number of rows in a crate.

get_number_rows(crate)

Argument
Description
crate
A Crate object such as a TABLECrate or IMAGECrate

The get_number_rows command returns the number of rows in the input crate. If the crate contains an image, the return value is 1.

>>> cr = read_file("evt2.fits")
>>> nrows = get_number_rows(cr)
>>> nrows
34118

There are 34118 rows in the file evt2.fits.

See the bug pages on the CIAO website for an up-to-date listing of known bugs.

December 2013